Disconnect Stripe account
Deauthorizes the Stripe Connect account and removes the connection.
Authorization
BearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token.
In: header
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/stripe/disconnect"{
"disconnected": true,
"message": "string"
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}Initiate Stripe Connect OAuth flow
Returns a Stripe Connect OAuth authorization URL. This flow must be initiated from the Astrocal dashboard, which binds the authorization request to your browser session.
Check Stripe connection status
Returns the current Stripe Connect status including charges_enabled and payouts_enabled.